aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-proxy
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-08 00:17:57 -0500
committerJulien Roy <julien@jroy.ca>2023-02-08 00:17:57 -0500
commita7e92a62528e85ad1bf3eafc8c824aa0ce066386 (patch)
tree4db8e59f8db74a6f7cbf651646be488b8a4923b6 /dev-python/zope-proxy
parent39e99b03c3bdb85f20423662f9319b0edf0ddc85 (diff)
downloadMrRoy-Overlay-a7e92a62528e85ad1bf3eafc8c824aa0ce066386.tar.gz
MrRoy-Overlay-a7e92a62528e85ad1bf3eafc8c824aa0ce066386.tar.bz2
MrRoy-Overlay-a7e92a62528e85ad1bf3eafc8c824aa0ce066386.zip
dev-python/*: WIP tests
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python/zope-proxy')
-rw-r--r--dev-python/zope-proxy/zope-proxy-5.0.0.ebuild32
1 files changed, 11 insertions, 21 deletions
diff --git a/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild b/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
index 18ee4ff..2c9218d 100644
--- a/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
+++ b/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# They fail
-RESTRICT="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
@@ -30,29 +28,21 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests pytest
+distutils_enable_tests setup.py
-# src_unpack() {
-# default
-# }
-
-# src_prepare() {
-# # strip rdep specific to namespaces
-# sed -i -e "/'setuptools'/d" setup.py || die
-# distutils-r1_src_prepare
-# }
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-# python_test() {
-# #esetup.py test
-# #distutils-r1_python_test
-# #distutils_write_namespace zope.proxy
-
-# cd "${BUILD_DIR}/install$(python_get_sitedir)/" || die
-# zope-testrunner -pvcD -j "$(nproc)" --usecompiled \
-# -s "${PN/-/\/}/tests" || die
-# }
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+}